Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.wih
Class AsyncWorkItemHandlerCmdCallback

    java.lang.Object
      org.jbpm.executor.impl.wih.AsyncWorkItemHandlerCmdCallback

All Implemented Interfaces:
  org.kie.internal.executor.api.CommandCallback

    public class AsyncWorkItemHandlerCmdCallback

extends Object
implements org.kie.internal.executor.api.CommandCallback

Dedicated callback for `AsyncWorkItemHandler` that is responsible for:

- completing work item in case of successful execution
- attempting to handle exception (by utilizing ExceptionScope mechanism) in case of unsuccessful execution

Constructor Summary
`AsyncWorkItemHandlerCmdCallback()`

Method Summary
`protected NodeInstance` | `getNodeInstance(WorkItem workItem, Collection<NodeInstance> nodeInstances)`
`protected NodeInstance` | `getNodeInstance(WorkItem workItem, WorkflowProcessInstance processInstance)`
`protected RuntimeManager` | `getRuntimeManager(org.kie.internal.executor.api.CommandContext ctx)`
`void` | `onCommandDone(org.kie.internal.executor.api.CommandContext ctx, org.kie.internal.executor.api.ExecutionResults results)`
`void` | `onCommandError(org.kie.internal.executor.api.CommandContext ctx, Throwable exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncWorkItemHandlerCmdCallback

    public AsyncWorkItemHandlerCmdCallback()

Method Detail

### onCommandDone

    public void onCommandDone(org.kie.internal.executor.api.CommandContext ctx,
                              org.kie.internal.executor.api.ExecutionResults results)

  Specified by:
    `onCommandDone` in interface `org.kie.internal.executor.api.CommandCallback`

### onCommandError

    public void onCommandError(org.kie.internal.executor.api.CommandContext ctx,
                               Throwable exception)

  Specified by:
    `onCommandError` in interface `org.kie.internal.executor.api.CommandCallback`

### getRuntimeManager

    protected RuntimeManager getRuntimeManager(org.kie.internal.executor.api.CommandContext ctx)

### getNodeInstance

    protected NodeInstance getNodeInstance(WorkItem workItem,
                                           WorkflowProcessInstance processInstance)

### getNodeInstance

    protected NodeInstance getNodeInstance(WorkItem workItem,
                                           Collection<NodeInstance> nodeInstances)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.